@import '@/styles/variables';

.section {
  @include container;

  @include custom-min-width($lg) {
    display: grid;
    padding: 0;
  }
}

.content {
  display: flex;
  flex-direction: column;
  row-gap: 16px;

  @include custom-min-width($md) {
    max-width: 50%;
  }

  @include custom-min-width($lg) {
    max-width: 100%;
  }
}

.cards {
  display: flex;
  flex-direction: column;
  row-gap: 8px;

  @include custom-min-width($md) {
    row-gap: 16px;
  }
}

.card {
  border-radius: 8px;
  border: 1px solid $color-secondary-80;
  background-color: $color-primary-100;
  padding: 8px;

  @include custom-min-width($xl) {
    font-size: 18px;
  }
}

.link {
  display: flex;
  align-items: center;
  column-gap: 22px;
  font-size: 20px;
  font-weight: 700;
  line-height: 150%;
  text-decoration: underline;
  color: $color-secondary-20;

  @include custom-min-width($md) {
    max-width: max-content;
    column-gap: 16px;
    font-size: 18px;
  }

  @include custom-min-width($xl) {
    font-size: 20px;
  }
}

.add {
  display: flex;
  flex-direction: column;
  margin-top: 72px;

  @include custom-min-width($md) {
    flex-direction: row;
    justify-content: center;
    margin-top: 11px;
  }

  @include custom-min-width($lg) {
    grid-row: 1 / 2;
    flex-direction: column;
    margin-top: 0;
    margin-bottom: 32px;
  }

  @include custom-min-width($lg) {
    margin-bottom: 48px;
  }
}

.button {
  font-size: 16px;
  font-weight: 500;
  line-height: 20px;
  border: none;
  border-radius: $radius-button;
  color: $color-primary-50;
  background-color: $color-secondary-30;
  cursor: pointer;
  padding: 10px 24px;

  @include custom-min-width($md) {
    padding-inline: 113px;
  }

  @include custom-min-width($lg) {
    font-size: 18px;
    line-height: 24px;
  }
}
